List the CVEs across one stack's workloads (browser session)
import requests
url = "https://api.platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/findings"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/findings \
--cookie ankra_session={
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"affected_clusters": 123,
"affected_workloads": 123,
"check_id": "<string>",
"cve_id": "<string>",
"disposition_counts": {
"accepted_risk": 123,
"acknowledged": 123,
"open": 123,
"resolved": 123
},
"first_seen_at": "2023-11-07T05:31:56Z",
"fixable_occurrences": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrences": 123,
"package_name": "<string>",
"package_type": "<string>",
"primary_link": "<string>",
"provider": "<string>",
"score": 123,
"severity": "<string>",
"title": "<string>",
"known_exploited": true,
"kev_date_added": "<string>",
"kev_due_date": "<string>",
"kev_ransomware_use": true,
"epss_score": 123,
"epss_percentile": 123,
"kev_vendor_project": "<string>",
"kev_product": "<string>",
"kev_vulnerability_name": "<string>",
"kev_required_action": "<string>"
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123,
"endpoint_scanner": {
"present": true,
"targets": 123,
"reports": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"clusters": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targets": 123,
"reports": 123,
"last_success_at": "2023-11-07T05:31:56Z"
}
]
}
},
"intelligence": {
"epss_synced_at": "2023-11-07T05:31:56Z",
"kev_listed": 123,
"kev_synced_at": "2023-11-07T05:31:56Z"
},
"facets": {
"addons": [
{
"count": 123,
"value": "<string>"
}
],
"clusters": [
{
"count": 123,
"value": "<string>"
}
],
"severity": [
{
"count": 123,
"value": "<string>"
}
],
"status": [
{
"count": 123,
"value": "<string>"
}
],
"exploited": [
{
"count": 123,
"value": "<string>"
}
],
"providers": [
{
"count": 123,
"value": "<string>"
}
]
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List the CVEs across one stack's workloads (browser session)
Lists the CVEs found in one stack’s workloads, paginated, with the same filters, sorting and disposition counts as the organisation findings list; the facets are the stack’s own. Requires security.read.
GET
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
security
/
findings
List the CVEs across one stack's workloads (browser session)
import requests
url = "https://api.platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/findings"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/findings \
--cookie ankra_session={
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"affected_clusters": 123,
"affected_workloads": 123,
"check_id": "<string>",
"cve_id": "<string>",
"disposition_counts": {
"accepted_risk": 123,
"acknowledged": 123,
"open": 123,
"resolved": 123
},
"first_seen_at": "2023-11-07T05:31:56Z",
"fixable_occurrences": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrences": 123,
"package_name": "<string>",
"package_type": "<string>",
"primary_link": "<string>",
"provider": "<string>",
"score": 123,
"severity": "<string>",
"title": "<string>",
"known_exploited": true,
"kev_date_added": "<string>",
"kev_due_date": "<string>",
"kev_ransomware_use": true,
"epss_score": 123,
"epss_percentile": 123,
"kev_vendor_project": "<string>",
"kev_product": "<string>",
"kev_vulnerability_name": "<string>",
"kev_required_action": "<string>"
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123,
"endpoint_scanner": {
"present": true,
"targets": 123,
"reports": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"clusters": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targets": 123,
"reports": 123,
"last_success_at": "2023-11-07T05:31:56Z"
}
]
}
},
"intelligence": {
"epss_synced_at": "2023-11-07T05:31:56Z",
"kev_listed": 123,
"kev_synced_at": "2023-11-07T05:31:56Z"
},
"facets": {
"addons": [
{
"count": 123,
"value": "<string>"
}
],
"clusters": [
{
"count": 123,
"value": "<string>"
}
],
"severity": [
{
"count": 123,
"value": "<string>"
}
],
"status": [
{
"count": 123,
"value": "<string>"
}
],
"exploited": [
{
"count": 123,
"value": "<string>"
}
],
"providers": [
{
"count": 123,
"value": "<string>"
}
]
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Query Parameters
Response
Successful response